"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = require("fs");
function readFile(p) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            fs.readFile(p, { encoding: 'utf8' }, (err, contents) => {
                if (err) {
                    return reject(err);
                }
                resolve(contents);
            });
        });
    });
}
exports.readFile = readFile;
function writeFile(p, contents) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            fs.writeFile(p, contents, { encoding: 'utf8' }, err => {
                if (err) {
                    return reject(err);
                }
                resolve();
            });
        });
    });
}
exports.writeFile = writeFile;
function unlink(p) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            fs.unlink(p, err => {
                if (err) {
                    return reject(err);
                }
                resolve();
            });
        });
    });
}
exports.unlink = unlink;
function access(p, mode = fs.constants.F_OK) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            fs.access(p, mode, err => {
                if (err) {
                    return reject(err);
                }
                resolve();
            });
        });
    });
}
exports.access = access;
function exists(p) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        try {
            yield access(p);
            return true;
        }
        catch (e) {
            return false;
        }
    });
}
exports.exists = exists;
